unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, Db, DBTables, ekbasereport, ekrtf, StdCtrls;

type
  TForm1 = class(TForm)
    songlist: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    EkRTF1: TEkRTF;
    ReportBtn: TButton;
    CloseBtn: TButton;
    procedure ReportBtnClick(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ReportBtnClick(Sender: TObject);
begin
   With EKRTF1 do Begin
   OutFile:=CreateFileName('','list');
   ExecuteOpen([songlist],SW_SHOW);
   End;
end;

procedure TForm1.CloseBtnClick(Sender: TObject);
begin
  Close;
end;

end.
